Loading...
Searching...
No Matches
FsUtil::WinPathHandler Class Reference

path handler implementing Windows specific functionality More...

Inheritance diagram for FsUtil::WinPathHandler:
[legend]

## Public Member Functions

| constructor ()
| creates the object and sets the delimiter
list< string > | splitDrive (string path)
| separates and returns the drive and the rest of the path More...

## Protected Member Functions

string | joinPathsIntern (list< string > paths)
| Returns the path resulting from joining the given paths. More...

## Additional Inherited Members

Public Attributes inherited from FsUtil::PathHandler
list< string > | delimiters
| path delimiters - to be set by platform specific path handlers

## Detailed Description

path handler implementing Windows specific functionality

## Member Function Documentation

## joinPathsIntern()

string FsUtil::WinPathHandler::joinPathsIntern | ( | list< string > | paths | ) |

protected virtual

Returns the path resulting from joining the given paths.

Parameters

  paths | a list of paths to join

Returns
  all paths joined into one valid path (i.e. delimiters are added/removed as needed) except for cases when one of the paths (in the list) is an absolute path or if each path is on different drive - in such cases that path is considered a new start of the resulting path. The resulting path is not normalized (i.e. "/path/to/../../file.txt" is a correct result of join("/path/to", "../../file.txt");). Since the second parameter is a softlist, this variant also works for joining two string paths.

Implements FsUtil::PathHandler.

## splitDrive()

list< string > FsUtil::WinPathHandler::splitDrive | ( | string | path | ) |

separates and returns the drive and the rest of the path

Parameters

  path | the path to be processed

Returns
  list<string> of two items - drive and the rest of the path, either can be empty and concatenation of both parts always gives the original path back.